/* main.css */

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, font, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td {
    margin: 0;
    padding: 0;
    border: 0;
    outline: 0;
    font-size: 100%;
    vertical-align: baseline;
    background: transparent;
}

body {
    line-height: 1;
}

ol, ul {
    list-style: none;
}

blockquote, q {
    quotes: none;
}

blockquote:before, blockquote:after,
q:before, q:after {
    content: '';
    content: none;
}

textarea, select {
    font-size: 1em;
    color: #333;
    font-family: Helvetica, Arial, sans-serif;
    border: 1px solid #ddd;
    margin: 1px 3px 1px 3px;
}

select {
    font-size: 1.1em;
    padding: 2px;
}

textarea {
    padding: 5px;
}

/* remember to define focus styles! */
:focus {
    outline: 0;
}

/* remember to highlight inserts somehow! */
ins {
    text-decoration: none;
}

del {
    text-decoration: line-through;
}

/* tables still need 'cellspacing="0"' in the markup */
table {
    border-collapse: collapse;
    border-spacing: 0;
}

a:link {color:#2276BB; text-decoration:none; }      /* unvisited link */
a:visited {color:#2276BB; text-decoration:none; }  /* visited link */
a:hover {color:#2276BB; text-decoration: underline; }  /* mouse over link */
a:active {color:#2276BB; text-decoration:none;}  /* selected link */

.sm-profile-image {
    width: 50px;
    height: 50px;
    border: 1px solid #ddd;
    margin: 3px;
}

.lg-profile-image {
    width: 75px;
    height: 75px;
    border: 1px solid #ddd;
    margin: 3px;
}

.flag {
    width: 16px;
    height: 11px;
    margin-right: 3px;
}

.clear-both {
    clear: both;
}

.clear-left {
    clear: left;
}

.clear-right {
    clear: right;
}

/* main */
body {
    background: #ddd url('http://oyeme.s3.amazonaws.com/images/site/grey-background-2.jpg') repeat;
    color: #333;
    font-family: Helvetica, Arial, sans-serif;
    font-size: 13px;
}

#header {
    background: url('http://oyeme.s3.amazonaws.com/images/site/logotab.png') no-repeat right top;
    width: 900px;
    height: 79px;
    margin: auto;
    border-bottom: 3px solid #eee;
}

#header-profile {
    float: right;
    margin-right: 20px;
    margin-top: 28px;
    font-size: 1.2em;
}

#header-nav {
    clear: right;
    float: right;
    margin-right: 20px;
    margin-top: 3px;
}

#container {
    width: 900px;
    margin: auto;
    background-color: #fff;
}

#content {
    padding: 20px 2px 10px 10px;
    width: 603px;
    float: left;
    background-color: #fff;
    border-right: 1px solid #eee;
}   

#sidebar {
    padding: 10px 2px 10px 2px;
    width: 280px;
    float: right;
    background-color: #fff;
}

#sidebar-banner {
    padding-top: 15px;
    border-top: 1px solid #ddd;
    margin: 15px 20px;
}

#content-home {
    padding: 20px 10px 10px 10px;
    width: 800px;
    margin: auto;
    background-color: #fff;
}

#footer {
    clear: both;
    margin: 10px auto;
    padding: 10px;
    background-color: #555577;
    color: #fff;
    font-size: 0.9em;
    border-bottom-left-radius: 15px;
    border-bottom-right-radius: 15px;
    -moz-border-radius-bottomleft: 15px;
    -moz-border-radius-bottomright: 15px;
    position: relative;
    top: 10px;
    border-top: 2px solid #ddd;
    height: 15px;
}

#footer-container {
    padding-top: 3px;
    float: left;
    margin-right: 3px;
}

#footer-container a {
    color: #eee;
}

.footer-container-icon {
    float: left;
}

h1, h2, h3 {
    color: #555577;
}

h1 {
    font-size: 1.5em;
    margin-bottom: 12px;
}

.error {
    color: #f00;
}

#messages {
    display: block;
    background-color: #fd7;
    padding: 15px 5px 5px 5px;
    width: 400px;
    height: 42px;
    text-align: center;
    font-size: 1.1em;
    line-height: 1.1em;
    margin: 0 auto 0 auto;
    border: 3px solid #eee;
    border-top: 0px;
    top: 0px;
    border-bottom-left-radius: 15px;
    border-bottom-right-radius: 15px;
    -moz-border-radius-bottomleft: 15px;
    -moz-border-radius-bottomright: 15px;
}

#modal-dialog {
    position: absolute;
    top: 0px;
    left: 0px;
    width: 330px;
    background-color: #fff;
    border: 3px solid #777;
    padding: 0px;
    line-height: 1.2em;
    z-index: 10;
    -moz-border-radius: 6px;
    border-radius: 6px;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=90)";
    filter: Alpha(Opacity=90); -moz-opacity:0.9; opacity: 0.9;
    display: none;
}

#modal-dialog-title-container {
    background-color: #2276BB;
    padding: 7px 3px 3px 5px;
    margin-bottom: 5px;
}

#modal-dialog-title {
    color: #fff;
    width: 310px;
}

#modal-dialog-close {
    position: absolute;
    top: 5px;
    right: 5px;
    background: url('http://oyeme.s3.amazonaws.com/images/icons/icons/cancel.png') no-repeat right top;
    width: 16px;
    height: 16px;
    cursor: pointer;
}

#modal-dialog-description {
    padding: 0px 7px 10px;
}

.modal-background {
    width: 100%; 
    height: 100%; 
    background-color: #999999;
    position: fixed;
    z-index: 5;
    top: 0px; 
    left: 0px;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=40)";
    filter: alpha(opacity=40); -moz-opacity:0.4; opacity: 0.4;
    display: none;   
}

#group-nav-dialog, #community-nav-dialog {
    background-color: #eef;
    position: fixed;
    z-index: 5;
    top: 0px; 
    left: 0px;
    padding: 0px;
    border-bottom: 3px solid #bbb;
    display: none;
}

#group-nav-dialog ul li,
#community-nav-dialog ul li {
    border-bottom: 1px solid #ddd;
    padding: 3px 5px 3px 5px;
}

#group-nav-dialog ul li:hover,
#community-nav-dialog ul li:hover {
    background-color: #fff;
}

#group-nav-dialog ul li a,
#community-nav-dialog ul li a {
    display: block;
    text-decoration: none;
}

#group-nav-link, #community-nav-link {
    padding-left: 1px;
}

#feedback-banner {
    font-size: 1.2em;
    margin: 10px 5px 10px 5px;
    background-color: #eef;
    height: 40px;
}

#feedback-banner img {
    margin-right: 5px;
    float:left;
    padding-left: 41px;
}

#feedback-link {
    padding-top: 12px;
}

#invites-banner {
    margin: 5px;
    font-size: 1.1em;
    color: #555;
    background-color: #eef;
    padding:10px;
}

#invite-code {
    font-size: 1.2em;
    text-align: center;
    color: #333;
    margin-top: 3px;
}

/* forms */

.field-wrapper {
    margin: 2px 0 10px 0;
}

#base-form .errorlist {
    color: #f00;
    margin: 5px 0 0 165px;
}

.field-wrapper label {
    color: #555;
    float: left;
    width: 160px;
    text-align: right;
    padding: 3px 3px 0 0;
    font-size: 1.1em;
}

.field-wrapper input {
    font-size: 1em;
    color: #333;
    padding: 1px;
    width: 250px;
}

.submit-wrapper {
    margin: 7px 0 0 160px;
}

.submit-button,
.article-submit-button,
.comment-submit-button {
    font-size: 1.1em;
    border: 1px solid #ccc;
    background-color: #003366;
    color: #fff;
}

#recaptcha_widget_div {
    margin: -1px 0 0 160px;
}

.helper-text {
    display: none;
    line-height: 1.2em;
}

.helper-error {
    display: none;
    line-height: 1.2em;
}

#messages-pop {
    position: absolute;
    top: -58px;
    left: 0px;
    width: 100%;
    z-index: 10;
}

/* location set */

#city-description-success {
    display: none;
    margin-top: 10px;
    font-size: 1.2em;
    line-height: 1.3em;
}

#city-description-error {
    display: none;
    margin-top: 10px;
    font-size: 1.2em;
    line-height: 1.3em;
}

#map_canvas p, #map_canvas a {
    font-size: 1.2em;
    margin-bottom: 10px;
    line-height: 1.3em;
}

.location-continue {
    font-size: 1.2em;    
}

/* account form */

#login-form, #account-form, #profile-form, #group-form {
    float: left;
    border-right: 1px solid #eee;
    padding-right: 10px;
    width: 478px;
}

#login-invitation-code-area {
    font-size: 0.9em;    
}

#login-helper, #account-helper, #profile-helper {
    float: left;
    width: 280px;
    font-size: 1.1em;
    color: #777;
    margin-left: 25px;
    display: block;
}

#facebook-login {
    margin-bottom: 15px;
}

#facebook-login-string {
    margin-bottom: 7px;
}

#forgot-password-link {
    margin: 3px 0 0 165px;
    font-size: 0.8em;
}

/* profile form */
#profile-form .lg-profile-image {
    margin-left: 160px;
}

#profile-form #text-area-count {
    float: right;
    margin-right: 8px;
    color: #ddd;
}

#profile-form-location, #profile-form-notifications {
    font-size: 1.1em;    
    padding-top: 3px;
}

#profile-notifications-dialog h2 {
    margin-bottom: 5px;    
}

#profile-notifications-dialog table {
    width: 300px;
    margin-top: 5px;
    font-size: 1em;
}

#profile-notifications-dialog table tr {
    height: 18px;
}

/* geo browse */

table#geo-select {
    font-size: 1.2em;
    line-height: 1.3em;
}

table#geo-select li {
    padding: 2px 0 2px 5px;
}

table#geo-select td {
    width: 200px;
}

table#geo-select .left-line {
    border-left: 4px solid #ddf;
}

table#geo-select .geo-selected {
    background-color: #ddf;
}

/* city home */
#city-h1 {
    margin-bottom: 3px;
}

#city-sub-nav {
    margin-bottom: 10px;
}

.city-map {
    margin-left: 10px;
}

#geo-crumb {
    font-size: 0.8em;
    margin-bottom: 4px;
}

.geo-crumb-flag {
    margin: 0;
    padding-bottom: 2px;
}

#city-create-group{
    float: right;
    background-color: #33bb55;
    padding: 5px;
    margin-right: 5px;
    -moz-border-radius: 4px;
    border-radius: 4px;
}

#city-create-group a{
    color: #fff;
}

.city-featured {
    padding: 10px 0 0 15px;
    border-top: 1px solid #eee;
    width: 266px;
    margin-top: 12px;
}

.city-featured h2 {
    color: #555577;
}

#city-featured-members-list ul li {
    float: left;
}

#city-featured-groups-list ul li {
    margin: 3px 0 0 0;
}

#community-like{
    margin-top: 5px;
}

/* action css */
#trail-latest-actions {
    border-top: 1px solid #eee;
    padding: 5px;
}

.action-entry {
    margin-bottom: 3px;
    border-bottom: 1px solid #eee;
}

.a-profile {
    float: left;
}

.a-body {
    margin: 0px 0 0 56px;
    padding-top: 3px;
}

.a-info {
    color: #aaa;
    margin: 3px 0 5px; 0;
}

.a-secondary-description {
    margin-top: 3px;
    color: #777;
    font-size: 0.9em;
    font-style: italic;
    line-height: 1.2em;
}

/* group form */
#group-form .field-wrapper label {
    width: 110px;
}

#group-form #id_field_name input,
#group-form #group-name-city {
    font-size: 1.2em;
}

#group-form #id_field_name input {
    width: 140px;
    text-align: right;
}

#group-form #id_location {
    font-size: 1em;
}

#group-form #text-area-count {
    clear: both;
    float: right;
    margin-right: 5px;
    color: #ddd;
}

#group-form .submit-wrapper {
    margin-left: 116px;
}

#group-form .lg-profile-image {
    margin-left: 116px;
}

#group-form .errorlist {
    color: #f00;
    margin: 5px 0 0 116px;
}

/* group home */

#group-h1, #member-detail-h1 {
    margin: 0;
}

#join-group, #leave-group, #edit-group, #follow-member, #unfollow-member {
    float: right;
    background-color: #33bb55;
    padding: 5px;
    margin-right: 5px;
    -moz-border-radius: 4px;
    border-radius: 4px;
}

#join-group a, #leave-group a, #edit-group a, #follow-member a, #unfollow-member a {
    color: #fff;
}

#leave-group, #unfollow-member {
    background-color: #dd3355;
}

#group-header, #member-detail-header {
    margin-top: 10px;
}

#group-sub-nav, #member-detail-sub-nav {
    margin-bottom: 10px;
}

#group-profile, #member-detail-profile {
    margin-left: 90px;
}

#group-header-img {
    float: left;
    margin: 0 10px 0 3px;
}

#group-description, #member-detail-description {
    margin: 0 10px 3px 0;
    color: #777;
    font-size: 0.9em;
    font-style: italic;
    line-height: 1.2em;
}

#group-no-following {
    margin: 20px 15px 0 0;
    background-color: #eeeeff;
    padding: 15px;
    -moz-border-radius: 4px;
    border-radius: 4px;

}

#group-no-following-title {
   font-size: 1.1em;
   line-height: 1.2em;
}

#group-facebook-like{
    padding: 10px 0 0 15px;
    border-top: 1px solid #eee;
    width: 266px;
    margin-top: 12px;
}

/* member grid */
table#member-grid,
table#group-grid {
    margin-top: 10px;
}

table#member-grid td,
table#group-grid td {
    width: 100px;
    text-align: center;
    line-height: 1em;
    padding: 5px;
}

.group-home-nav .geo-crumb-flag {
    margin: 0;
    padding: 0;
}

#group-content-wrapper {
    margin-top: 15px;
}

#group-join-alert img {
    float:left;
    margin-right: 15px;
}

/*********************************** Content */
textarea#content-new-title-text,
.content-new-comment-text
 {
    font-size: 1.2em;
    width: 570px;
    height: 30px;
}

.text-initial-class{
    color: #aaa;
}

.text-default-class{
    color: #777;
}

form#content-entry-form #text-area-count {
    float: left;
    font-size: 0.9em;
    color: #777;
    margin-left: 7px;
}

form#content-entry-form #add-image,
form#content-entry-form #add-label {
    float: left;
    margin: 0 3px 0 3px;
}

form#content-entry-form #add-label {
    padding: 1px 0 0 0;
    margin: 0;
    color: #555;
}

#content-article-list {
    margin-top: 10px;
    border-top: 1px solid #eee;
}

.content-article-main {
    border-bottom: 1px solid #eee;
    min-height: 60px;
    margin: 10px 5px 0 0;
    padding: 5px;
}

.content-article-member-photo {
    float: left;
}

.content-article-body {
   margin-left: 63px;     
}

.content-article-username {
    font-size: 1.2em;
    font-weight: bold;
    margin-bottom: 3px;
}

.content-article-user-location a {
    font-size: 0.8em;
    font-weight: normal;   
}

.content-article-content {
    font-size: 1.1em;
    color: #555;
    line-height: 1.2em;
}

.content-article-info {
    font-size: 1em;
    color: #555;
    margin-top: 2px;
}

.content-article-likers {
    margin: 5px 0 0 60px;
}

a.content-article-timestamp,
.content-article-timestamp {
    color: #aaa;
}

.content-comment-entry,
.content-comment-list {
    margin-left: 60px;
}

.content-comment-list {
    margin-top: 10px;
}

.content-comment-entry .comment-submit-button {
    font-size: 1em;
}

.content-new-comment-text {
    width: 507px;
    font-size: 1em;
    margin-top: 7px;
}

.comment-icon, .like-icon {
    margin: 0;
    padding: 1px 0 0 0;
    float: left;    
}

.content-comment {
    margin: 7px 0 3px 0px;
    line-height: 1.3em;
    color: #777;
}

.content-comment-body,
.content-like-body {
    margin: 3px 0 0 20px;
}

.content-like-body {
    padding-top: 3px;
    color: #aaa;
}

.content-comment-entry {
    display: none;
}

.content-comment-body-more {
    margin: 6px 0 0 20px;
}

a.content-comment-more {
    font-size: 0.9em;  
}

.content-submit-wrapper {
    margin: 2px 20px 0 0;
    float: right;
}

#content-image-iframe {
    width: 570px;
    height: 65px;
    clear: left;
    display: none;
}

.ajax-loader,
.comment-ajax-loader {
    display: none;
}

#article-images {
    margin: 5px 0 3px 3px;
    clear:left;    
}

.article-image-sm,
.article-video-thumb-sm {
    padding: 2px;
    border: 1px solid #ddd;
}

.article-video-container {
    position: absolute;
    display: block;   
}

.article-video-play {
    position: relative;
    top: 28px;
    left: 44px;
    cursor: pointer;   
}

.content-article-images{
    margin: 5px 0 5px 0;   
}

.content-article-videos {
    margin: 5px 0 5px 0;
    height: 105px;
}

#content-article-list .dif-city,
#content-article-list .dif-country {
    background-color: #F2F4FF;
}

/* member detail page */

#member-detail-fullname {
    font-size: 0.6em;
    padding-top: 4px;
    margin-left: 0px;
    color: #777;
}

#member-detail-user-name {
    height: 20px;
    margin-bottom: 2px;
}

#member-detail-city {
    margin-top: 3px;
}

#member-detail-description {
    margin-top: 3px;
}

#member-detail-actions, 
#member-detail-following,
#member-detail-groups {
    border-top: 1px solid #eee;
    padding: 5px;
    margin-top: 20px;
}

#member-detail-following h2,
#member-detail-groups h2 {
    margin: 10px 0 0 0;
    font-size: 1.2em;
}

/* home page */

#home-container{
    background-color: #fff;
    width: 900px;
    margin: auto;
}

#home-logo {
    height: 100px;
    background: url('http://oyeme.s3.amazonaws.com/images/site/home/top-gradient.jpg') repeat-x;    
}

#home-login {
    height: 30px;
    background-color: #5C7A9E;
    margin-bottom: 25px;
    color: #eee;
    font-size: 0.9em;
    padding: 8px 0 0 10px;
}

#home-map {
    width: 515px;
    height: 300px;
    margin-left: 25px;
    border: 1px solid #ddd;
    padding: 5px
}

#home-info-container {
    width: 900px;
    position: absolute;
    top: 0px;
    height: 1px;
}

#home-info-col {
    background: url('http://oyeme.s3.amazonaws.com/images/site/home/info-bar-gradient.jpg') repeat-x;
    width: 258px;
    height: 380px;
    padding: 15px;
    float: right;
    background-color: #fff;
    border-left: 5px solid #aaa;
    border-right: 5px solid #aaa;
    border-bottom: 5px solid #aaa;
    margin-right: 25px;
}

#home-info-col h1 {
    color: #5C7A9E;
    font-size: 1.5em;
    margin-bottom: 3px;
}

#home-info-col h2 {
    color: #777;
    font-weight: normal;
    font-size: 1.2em;
    line-height: 1.2em;
    margin-bottom: 10px;
}

#home-regions table {
    width: 515px;
    margin: 10px 0 0 25px;
}

#home-regions table tr {
    height: 1.2em;
}

#home-map-title{
    margin: 0 0 12px 25px;
    color: #777;
    font-size: 1.2em;
}

#facebook-login-string{
    font-size: 1.1em;
    color: #777;
    line-height: 1.1em;
}

#home-map-container {
    float: left;
    width: 525px;
}

#home-group-container {
    border-top: 1px solid #ddd;
    width: 515px;
    margin: 18px 0px 0 25px;
    padding-top: 13px;
    color: #777;
    line-height: 1.1em;
}

#home-group-container h3 {
    font-size: 1.2em;
    margin-bottom: 5px;   
}

#home-group-grid tr {
    margin:0;
}

#home-group-grid tr.spacer {
    height: 20px;    
}

td.group-logo {
    width: 25px;
    padding-right: 5px;
    vertical-align:top;
}

td.group-description {
    width: 200px;
    vertical-align:top;
    padding-right: 5px;
}

#home-video {
    float: right;
    margin-right: 30px;
    margin-top: 261px;
}